### Class

# GtkSource SnippetManager

#### Description [src]

    final class GtkSource.SnippetManager : GObject.Object
    {
      /* No available fields */
    }

Provides access to `GtkSourceSnippet`.

`GtkSourceSnippetManager` is an object which processes snippet description files and creates `GtkSourceSnippet` objects.

Use `gtk_source_snippet_manager_get_default()` to retrieve the default instance of `GtkSourceSnippetManager`.

Use `gtk_source_snippet_manager_get_snippet()` to retrieve snippets for a given snippets.

#### Hierarchy

#### Ancestors

- GObject

#### Functions

###### gtk_source_snippet_manager_get_default

Returns the default `GtkSourceSnippetManager` instance.

#### Instance methods

###### gtk_source_snippet_manager_get_search_path

Gets the list directories where `self` looks for snippet files.

###### gtk_source_snippet_manager_get_snippet

Queries the known snippets for the first matching `group`, `language_id`, and/or `trigger`.

###### gtk_source_snippet_manager_list_all

Gets a `GListModel` of all snippets.

since: 5.6

###### gtk_source_snippet_manager_list_groups

List all the known groups within the snippet manager.

###### gtk_source_snippet_manager_list_matching

Queries the known snippets for those matching `group`, `language_id`, and/or `trigger_prefix`.

###### gtk_source_snippet_manager_set_search_path

Sets the list of directories in which the `GtkSourceSnippetManager` looks for snippet files.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.SnippetManager:search-path

Contains a list of directories to search for files containing snippets (*.snippets).

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceSnippetManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.